/* Copyright Coraid, Inc.  2006.  All Rights Reserved */

#include <termios.h>
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include "dat.h"

void
dump(char *ap, int len)
{
	int i;
	unsigned char *p = (unsigned char *) ap;

	for (i = 0; i < len; i++)
		fprintf(stderr, "%2.2X%s", p[i], (i+1)%16 ? " " : "\r\n");
	fprintf(stderr, "\r\n");
}

char *
htoa(char *to, uchar *frm, uint len)
{
	char *cp = to;
	uchar ch;

	for(; len > 0; len--, frm++) {
		ch = *frm;
		*to++ = (ch>>4) + (ch>>4 > 9 ? '7' : '0');
		*to++ = (ch&0x0f) + ((ch&0x0f) > 9 ? '7' : '0');
	}
	return cp;
}

/* parseether from plan 9 */
int
parseether(uchar *to, char *from)
{
	char nip[4];
	char *p;
	int i;

	p = from;
	for(i = 0; i < 6; i++){
		if(*p == 0)
			return -1;
		nip[0] = *p++;
		if(*p == 0)
			return -1;
		nip[1] = *p++;
		nip[2] = 0;
		to[i] = strtoul(nip, 0, 16);
		if(*p == ':')
			p++;
	}
	return 0;
}
